"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function min(source, compareFn) {
    let result = undefined;
    for (const element of source) {
        if (result === undefined || compareFn(element, result) < 0) {
            result = element;
        }
    }
    return result;
}
exports.min = min;

//# sourceMappingURL=min.js.map
