"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const iterable_1 = require("../utils/iterable");
function map(source, transform) {
    return iterable_1.iterable(function* () {
        let index = 0;
        for (const element of source) {
            yield transform(element, index++);
        }
    });
}
exports.map = map;

//# sourceMappingURL=map.js.map
