"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const iterable_1 = require("../utils/iterable");
const toArray_1 = require("../reducers/toArray");
function reverse(source) {
    return iterable_1.iterable(function* () {
        const elements = toArray_1.toArray(source);
        for (let n = elements.length - 1, i = n; i >= 0; i--) {
            yield elements[i];
        }
    });
}
exports.reverse = reverse;

//# sourceMappingURL=reverse.js.map
