"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function max(source, compareFn) {
    let result = undefined;
    for (const element of source) {
        if (result === undefined || compareFn(element, result) > 0) {
            result = element;
        }
    }
    return result;
}
exports.max = max;

//# sourceMappingURL=max.js.map
